Twitter Widget Fix for IE8 Browser

Muzeeb Mohammed
Muzeeb Mohammed used Ask the Experts™
on
Hi Experts Exchange Team,

We have been using Twitter Timeling Widget in our website and it was working without any issues till this month.
We have gone through the Twitter community pages and learned that Twitter Widgets dropped support for IE8 browsers.

As our application has several customers, It is very difficult to upgrade IE8 browser to later releases.
SO Is there any workaround to support Twitter Widget Timeline in IE8 ?.

We are using the following Twitter Widet code in our website.

<a class="twitter-timeline" href="https://twitter.com/XXXXXXX" data-widget-id="577104786949943297">Tweets by @XXXXX</a>
<script>!function(d,s,id){var js,fjs=d.getElementsByTagName(s)[0],p=/^http:/.test(d.location)?'http':'https';if(!d.getElementById(id)){js=d.createElement(s);js.id=id;js.src=p+"://platform.twitter.com/widgets.js";fjs.parentNode.insertBefore(js,fjs);}}(document,"script","twitter-wjs");</script>

Any Help is much Appreciated !

Regards
Muzeeb Mohammed
Comment
Watch Question

Do more with

Expert Office
EXPERT OFFICE® is a registered trademark of EXPERTS EXCHANGE®
More and more websites (i.e. LinkedIn & numerous banks) are dropping support for IE8 which is the latest version of IE for XP.  I have been suggesting clients use Chrome as a replacement because it automatically updates itself and is one less update they need to worry about.
http://www.google.com/chrome/index.html?hl=en&brand=CHMA&utm_campaign=en&utm_source=en-ha-na-us-sk&utm_medium=ha&utm_term=chrome
If they are running Vista, 7, or 8, they should be running IE9 or newer, anyway.

Do more with

Expert Office
Submit tech questions to Ask the Experts™ at any time to receive solutions, advice, and new ideas from leading industry professionals.

Start 7-Day Free Trial